#pragma once

#include "common.h"

enum leds {
  LED_YELLOW,
  LED_BLUE,
  LED_GREEN
};

enum led_mode {
  LED_OFF,
  LED_ON,
  LED_FLASH,
  LED_FLASH_SLOW,
  LED_FLASH_FAST
};

extern_c void led_init(void);
extern_c void led_set(int led, enum led_mode mode);
